%define git_name      zuki-themes
%define theme_name    Zukitwo
%define theme3_name   Zukitre
%define shell_name    Zuki-shell

%define url_ver       %(echo %{version}|cut -d. -f1,2)
%define patchlevel    %(echo %{version}|cut -d. -f3)

Name:           zukitwo
Epoch:          1
Version:        3.38.1
Release:        %mkrel 3
Summary:        Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Group:          Graphical desktop/Other
License:        GPLv3
URL:            https://lassekongo83.deviantart.com/art/Zukitwo-203936861
# Master branch is for GTK 3.32 and later:
Source0:        https://github.com/lassekongo83/zuki-themes/archive/v%{url_ver}-%{patchlevel}/%{name}-%{url_ver}-%{patchlevel}.tar.gz
Patch1:         0001-Gnome-40-compatibility.patch
Patch2:         0002-Some-tweaks.patch
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  meson
BuildRequires:  sassc

%description
The %{theme_name} themes for GTK+2, GTK+3, GNOME Shell and Xfwm4.

#-----------------------------------------------------
%package -n     gnome-shell-theme-%{name}
Summary:        %{theme_name} GNOME Shell theme
Group:          Graphical desktop/GNOME
Requires: 	gnome-shell-extensions-user-theme >= 3.20
Requires:       google-droid-sans-fonts

%description -n gnome-shell-theme-%{name}
%{theme_name} GNOME Shell theme.

#-----------------------------------------------------
%package        gtk2-theme
Summary:        %{theme_name} GTK+2 themes
Group:          Graphical desktop/Other
Obsoletes:      %{name}-common < 1:3.32.4
Requires:       gtk2-murrine-engine

%description    gtk2-theme
Themes for GTK+2 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        gtk3-theme
Summary:        %{theme_name} GTK+3 themes
Group:          Graphical desktop/GNOME
Obsoletes:      %{name}-common < 1:3.32.4

%description    gtk3-theme
Themes for GTK+3 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        gtk4-theme
Summary:        %{theme_name} GTK+4 themes
Group:          Graphical desktop/GNOME

%description    gtk4-theme
Themes for GTK+4 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        xfwm4-theme
Summary:        %{theme_name} Xfwm4 themes
Group:          Graphical desktop/Xfce
Requires:       xfwm4

%description    xfwm4-theme
Themes for Xfwm4 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        xfce4-theme
Summary:        Meta package for %{theme_name} Xfce themes
Group:          Graphical desktop/Xfce
Requires:	zukitre-gtk2-theme
Requires:	zukitre-gtk3-theme
Requires:	zukitre-xfwm4-theme

%description    xfce4-theme
Themes for Xfce as part of the %{theme_name} theme.

This package requires all separate themes needed in Xfce.

#-----------------------------------------------------
%package -n     zukitre-gtk2-theme
Summary:        %{theme3_name} GTK+2 themes
Group:          Graphical desktop/GNOME
Requires:	gtk2-murrine-engine

%description -n zukitre-gtk2-theme
Themes for GTK+2 as part of the %{theme3_name} theme.

#-----------------------------------------------------
%package -n     zukitre-gtk3-theme
Summary: 	%{theme3_name} GTK+3 themes
Group:   	Graphical desktop/GNOME

%description -n zukitre-gtk3-theme
Themes for GTK+3 as part of the %{theme3_name} theme.

#-----------------------------------------------------
%package -n     zukitre-gtk4-theme
Summary:        %{theme3_name} GTK+4 themes
Group:          Graphical desktop/GNOME

%description -n zukitre-gtk4-theme
Themes for GTK+4 as part of the %{theme3_name} theme.

#-----------------------------------------------------
%package -n     zukitre-xfwm4-theme
Summary:        %{theme3_name} Xfwm4 themes
Group:          Graphical desktop/Xfce
Requires:	xfwm4

%description -n zukitre-xfwm4-theme
Themes for Xfwm4 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package -n     zukitre-xfce4-theme
Summary:	Meta package for Zukitre Xfce themes
Group:		Graphical desktop/Xfce
Requires:	zukitre-gtk2-theme
Requires:	zukitre-gtk3-theme
Requires:	zukitre-xfwm4-theme

%description -n zukitre-xfce4-theme
Themes for Xfce as part of the %{theme3_name} theme.

This package requires all separate themes needed in Xfce.

#-----------------------------------------------------
%prep
%autosetup -Sgit_am -n %{git_name}-%{url_ver}-%{patchlevel}

# Remove "Thumbs.db" files
find . -name Thumbs.db -type f -exec rm -f '{}' \;

%build
%meson
%meson_build

%install
%meson_install

%files -n gnome-shell-theme-%{name}
%{_datadir}/themes/%{shell_name}/gnome-shell/

%files gtk2-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme_name}{,-dark}/gtk-2.0/

%files gtk3-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme_name}{,-dark}/gtk-3.0/

%files gtk4-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme_name}{,-dark}/gtk-4.0/

%files xfce4-theme

%files xfwm4-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/xfwm4/

%files -n zukitre-gtk2-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme3_name}{,-dark}/gtk-2.0/

%files -n zukitre-gtk3-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme3_name}{,-dark}/gtk-3.0/

%files -n zukitre-gtk4-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme3_name}{,-dark}/gtk-4.0/

%files -n zukitre-xfwm4-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/xfwm4/

%files -n zukitre-xfce4-theme


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:3.38.1-3.mga10
+ Revision: 2210835
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 1:3.38.1-2.mga9
+ Revision: 1824521
- Mageia 9 Mass Rebuild

* Fri Oct 15 2021 wally <wally> 1:3.38.1-1.mga9
+ Revision: 1751609
- new version 3.38-1 with gnome 40 patches from upstream

* Thu Oct 22 2020 daviddavid <daviddavid> 1:3.36.4-1.mga8
+ Revision: 1638293
- new version: 3.36.4

* Wed Jul 15 2020 daviddavid <daviddavid> 1:3.36.3-1.mga8
+ Revision: 1606246
- new version: 3.36.3

* Sat Feb 15 2020 umeabot <umeabot> 1:3.32.4-2.mga8
+ Revision: 1526803
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 wally <wally> 1:3.32.4-1.mga8
+ Revision: 1416104
- new version 3.32.4
- add zukitre themes

* Thu May 02 2019 wally <wally> 1:3.32.1-3.mga7
+ Revision: 1396165
- drop unneeded requires for gtk2-theme-engines

* Sat Mar 23 2019 daviddavid <daviddavid> 1:3.32.1-2.mga7
+ Revision: 1379808
- add missing epoch

* Sat Mar 23 2019 daviddavid <daviddavid> 1:3.32.1-1.mga7
+ Revision: 1379773
- new version: 3.32-1 (GTK 3.32+ support)

* Sun Dec 02 2018 daviddavid <daviddavid> 20181201-1.mga7
+ Revision: 1337378
- new version: 20181201

* Wed Sep 19 2018 umeabot <umeabot> 20170209-2.mga7
+ Revision: 1277389
- Mageia 7 Mass Rebuild

* Fri Feb 10 2017 daviddavid <daviddavid> 20170209-1.mga6
+ Revision: 1085561
- new version: 20170209 (from master branch, GTK 3.22 support)

* Tue Aug 02 2016 daviddavid <daviddavid> 20160731-1.mga6
+ Revision: 1044249
- new version: 20160731 (from master branch, GTK 3.20 support)
- update Source URL

* Sat May 07 2016 joequant <joequant> 20141022-3.mga6
+ Revision: 1010335
- remove metacity dependency

* Tue Feb 09 2016 umeabot <umeabot> 20141022-2.mga6
+ Revision: 952283
- Mageia 6 Mass Rebuild

* Mon Feb 09 2015 daviddavid <daviddavid> 20141022-1.mga5
+ Revision: 814440
- imported package zukitwo
- based from Fedora's package

